Package org.eclipse.m2m.atl.engine.vm

## Class SimpleDebugger.OperationCall

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.SimpleDebugger.OperationCall

All Implemented Interfaces:
  `java.lang.Comparable`

Enclosing class:
  SimpleDebugger

    protected class SimpleDebugger.OperationCall
    extends java.lang.Object
    implements java.lang.Comparable

### Constructor Summary

Constructors
`OperationCall​(Operation op)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(java.lang.Object o)`
`boolean` `equals​(java.lang.Object o)`
`int` `getCallCount()`
`int` `hashCode()`
`void` `incrementCallCount​(java.util.List args)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OperationCall

    public OperationCall​(Operation op)

### Method Detail

#### incrementCallCount

    public void incrementCallCount​(java.util.List args)

#### getCallCount

    public int getCallCount()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### compareTo

    public int compareTo​(java.lang.Object o)

Specified by:
  `compareTo` in interface `java.lang.Comparable`